package com.hdkj.lt.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 日志严重程度
 * @Author: liuAini
 * @Create: 2025/07/18 10:55
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum ErrorLevelEnum {
    /**
     * 严重
     */
    FATAL("Fatal", "严重"),
    /**
     * 错误
     */
    ERROR("Error", "错误"),
    /**
     * 警告
     */
    WARNING("Warning", "警告"),
    /**
     * 调试输出
     */
    INFO("Info", "调试输出");

    final String code;
    final String name;


    public static String getErrorLevelCode(String name) {
        for (ErrorLevelEnum errorLevelEnum : ErrorLevelEnum.values()) {
            if (errorLevelEnum.getName().equals(name)) {
                return errorLevelEnum.getCode();
            }
        }
        return null;
    }
    public static String getErrorLevelName(String code) {
        for (ErrorLevelEnum errorLevelEnum : ErrorLevelEnum.values()) {
            if (errorLevelEnum.getCode().equals(code)) {
                return errorLevelEnum.getName();
            }
        }
        return null;
    }
}
